Apache2Triad Help, Support and Development Forum Index Search Profile Log in to check your private messages Log in Register Memberlist Attachments Statistics Crew/Ranks Archive
 apache2triad 1.5.4 is out
Google
Post new topic Reply to topic
Author Message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Tue Feb 21, 2006 4:02 am Reply with quoteBack to top

the edge release of the 1.x.4 series , all users are advised to update to 1.x.4 because of the security vulnerability impacting earlier versions, and because of the many improvements and upgrades

changelog follows
Quote:

fixed mod_perl 2.0.1 bug *
added apache SSL restart
optimised access.cgi to deal with huge logs
updated Apache to 2.2.0
updated OpenSSL to 0.9.8a
updated PHP to 5.1.2
updated Zend Optimizer to 2.6.2
updated Xdebug to 2.0.0 beta5
updated DBG to 2.18.5
updated SlimFTPd to 3.18
updated Xmail to 1.22
updated PostgreSQL to 8.1.2
updated pgAdmin to 1.4.1
updated phpPgAdmin to 4.0.1
updated MySQL to 5.0.18
updated MyODBC to 5.0.0
added MySQL Administrator 1.1.8
added MySQL Query Browser 1.1.20
updated PHPmyadmin to 2.7.0 pl2
updated UebiMiau to 2.7.9
updated AWStats to 6.5
security fix for CVE-2006-0144
added Apache2Triad Manager
reverted apache MaxRequestsPerChild to 0
INCLUDES filter removed issue adressed
added fix for VC80.CRT runtime libraries
updated mod_perl to 2.0.3
updated mod_ssl to 2.2.0
disabled mod_python 3.2.7 **



* Actually this reflects a bugfix for Apache::ASP

** I temporally disabled mod_python in 1.5.4 as according to http://issues.apache.org/jira/browse/MODPYTHON-78 apache 2.2 support in mod_python is in a very early stage
View user's profileSend private message
DeliriumServers
 
 


Joined: 20 Feb 2006
Posts: 13
Location: H Town

PostPosted: Wed Feb 22, 2006 1:45 am Reply with quoteBack to top

hurray!! This will be going up immediately!!!!




edit: install went glitch free, then used demoric's sweet program to reload all my settings and sites!
View user's profileSend private messageSend e-mailAIM AddressMSN Messenger
Joshua Meadows (DemoRic)
support
support


Joined: 29 Dec 2004
Posts: 783
Location: S.E. Kansas

PostPosted: Tue Feb 28, 2006 1:22 am Reply with quoteBack to top

Glad to here it! Very Happy
It's always nice to hear problem free upgrades.
View user's profileSend private messageYahoo MessengerICQ Number
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Thu Mar 02, 2006 6:28 pm Reply with quoteBack to top

i did a silent update to address the issues from http://apache2triad.net/forums/viewtopic.php?t=4424 anyone experiencing that redownload the installer
View user's profileSend private message
CleanFilm
 
 


Joined: 18 Apr 2005
Posts: 29

PostPosted: Sat Mar 04, 2006 6:33 pm Reply with quoteBack to top

Ok using it now Smile

Just gotta fix this activation error in my windows server, it failing when it valid key.

Anyways fixed now it works Smile
View user's profileSend private message
psycroptic
 
 


Joined: 09 Mar 2006
Posts: 10

PostPosted: Thu Mar 09, 2006 2:55 pm Reply with quoteBack to top

new version isnt as 'plug and play' if you like as 1.5.3 stupid erros Crying or Very sad
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Fri Mar 10, 2006 12:02 pm Reply with quoteBack to top

psycroptic wrote:
new version isnt as 'plug and play' if you like as 1.5.3 stupid erros


it is not that i would not take your word for it , but i would like you to quote those errors
View user's profileSend private message
psycroptic
 
 


Joined: 09 Mar 2006
Posts: 10

PostPosted: Fri Mar 10, 2006 3:00 pm Reply with quoteBack to top

Vlad Alexa Mancini wrote:
psycroptic wrote:
new version isnt as 'plug and play' if you like as 1.5.3 stupid erros


it is not that i would not take your word for it , but i would like you to quote those errors


already did in a post Razz
its not that a2t isnt a good bundle because it is! its great best one ive found, but its a problem with apache in the new version Razz im not sure what needs fixing in it because theres a few other server bundles that work with the new 2.2 so there must be an error somewhere Razz
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Fri Mar 10, 2006 7:25 pm Reply with quoteBack to top

if http://apache2triad.net/forums/viewtopic.php?t=4458 is your topic you are reffering to do i have to break it down for you ?
i had no errors on none of the 2 systems i tested (or else i would have not released it)
and you are the only one reporting it (from the thousands of people that downloaded 1.5.4)

i only act on bug reports that i can either replicate myself or have it reported by more than two persons , from experience anything not falling along those lines is either not a bug or too exotic to trace down , i can personally demonstrate hundreds of ways to undermine a operating system for the purpose of running a web server
View user's profileSend private message
rickh57
 
 


Joined: 24 Dec 2004
Posts: 33

PostPosted: Fri Mar 10, 2006 8:01 pm Reply with quoteBack to top

I've been running 1.5.4 on my XP Pro notebook since right after it came out and other than a slight hickup with the MySQL password, it has worked flawlessly. I agree with Vlad. As a software engineer myself, I know that in order to fix bugs, they must be reproducible.
View user's profileSend private message
enrico
 
 


Joined: 04 Aug 2006
Posts: 1

PostPosted: Fri Aug 04, 2006 1:55 pm Reply with quoteBack to top

Vlad Alexa Mancini wrote:

disabled mod_python 3.2.7 **

** I temporally disabled mod_python in 1.5.4 as according to http://issues.apache.org/jira/browse/MODPYTHON-78 apache 2.2 support in mod_python is in a very early stage


The latest mod_python is now 3.2.10 with support for apache 2.2.
Would be nice to have it enabled again.
View user's profileSend private message
Vlad Alexa Mancini
lead developer
lead developer


Joined: 07 Jul 2003
Posts: 1539

PostPosted: Tue Aug 15, 2006 9:49 am Reply with quoteBack to top

it will be enabled in the coming a2t release
View user's profileSend private message
SnaKe
 
 


Joined: 25 Nov 2003
Posts: 17

PostPosted: Tue Aug 15, 2006 12:02 pm Reply with quoteBack to top

Vlad Alexa Mancini wrote:
it will be enabled in the coming a2t release


whens the next release due ?
View user's profileSend private message
dmpayton
 
 


Joined: 07 Feb 2007
Posts: 1

PostPosted: Wed Feb 07, 2007 6:51 am Reply with quoteBack to top

SnaKe wrote:
Vlad Alexa Mancini wrote:
it will be enabled in the coming a2t release


whens the next release due ?


Yes, I'd like to know the same thing. I'm itchin' for mod_python support, as I can't seem to get python to work through CGI with .py extension (it always prompts to download)

Or is there a way to upgrade mod_python?
View user's profileSend private message
dale
 
 


Joined: 11 Jun 2006
Posts: 51
Location: las vegas, nv

PostPosted: Fri Feb 09, 2007 7:02 am Reply with quoteBack to top

This might be a work around for your python scripts. I tested this just for the heck of it and it worked.

I copied the test.py script from the apache2triad folder to a folder on my test website. Then I renamed it test.cgi and made a link to it. I then tested it and it worked. I think that the secret to the whole thing is the first line.

#!C:/apache2triad/python/bin/python.exe

I hope that this helps.
View user's profileSend private message
Display posts from previous:      
Post new topic Reply to topic


 Jump to:   



View next topic
View previous topic
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You cannot download files in this forum
Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme
All times are GMT